Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal
Interface Localized

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringAction, AuthoringTemplate, Category, Content, ContentComponentContainer, ContentLink, ContentPrototype, CustomWorkflowAction, DigitalAssetChooser, Document, Editable, EditableLibraryComponent, Edition, EmailAction, ExpireAction, Folder, HierarchicalPrototype, HierarchicalTemplate, HierarchicalTemplatedDocument, ItemValidationPlugin, LibraryAuthoringToolsComponent, LibraryComponent, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPageNavigationComponent, LibraryPersonalizationComponent, LibraryReferenceComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTaxonomyComponent, LibraryTextComponent, LibraryUserNameComponent, LibraryUserSelectionComponent, LocalizedMessage, Placeable, PortalPage, PresentationTemplate, Project, ProjectTemplate, Prototype, PublishAction, RenderingPlugin, RenderingPluginDefinition, RenderingPluginParameter, RenderingPluginType, ScheduledMoveAction, ScheduledWorkflowAction, Site, SiteArea, SiteAreaPrototype, SiteAreaTemplate, SiteFrameworkContainer, Subscriber, Syndicator, Taxonomy, TemplatedDocument, TextProvider, ThemeContent, ThemeInclude, ThemeItem, ThemeJspInclude, ThemeLinkItem, ThemeTextItem, ValueOption, VersionAction, Workflow, WorkflowAction, WorkflowStage

All Known Implementing Classes:
  AccessFailedException, ActivationFailedException, AddUIElementException, AuthenticationException, AuthenticationFailedException, ContentPageResolutionException, ContentUrlFilterInstantiationException, ContentUrlGenerationException, CreateFailedException, CredentialSecretNotSetException, CredentialVaultException, DeactivationFailedException, DefaultThemeContent, DefaultThemeItem, DefaultThemeJspInclude, DefaultThemeLinkItem, DefaultThemeTextItem, DigitalAssetException, DNDException, DNDInvalidParametersException, DNDMarkupGeneratorException, DynamicUIManagementException, EventDistributionServiceException, FactoryException, FileUploadValidationException, IdentityCreationException, ImpersonationException, ImpersonationException, LoginException, LogoutException, MissingAccessRightsException, ModelException, PasswordInvalidException, PortletLoginDisabledException, PortletServiceInstantiationException, PortletServiceInvalidInterfaceException, PortletServiceUnavailableException, PrerenderException, PreviousStageNotEnabledException, PropertyBrokerServiceException, RemoveUIElementException, RenderingPluginException, RenderingPluginParameterAdapter, RenderingPluginParameterImpl, RenderingPluginTypeImpl, RenderingPluginTypes.Connector, RenderingPluginTypes.Content, RenderingPluginTypes.Logic, RenderingPluginTypes.Other, RenderingPluginTypes.Page, RenderingPluginTypes.Portal, RenderingPluginTypes.Portlet, RenderingPluginTypes.RenderingState, RenderingPluginTypes.Social, RenderingPluginTypes.User, ResourceLookupException, RestoreFailedException, SecurityException, SessionTimeOutException, SessionValidationException, SetDefaultRedirectException, SystemLoginException, TaskManagerDelegateFactoryServiceException, TaskUIManagerException, TextProviderAdapter, ThemeExtensionInitException, UserAlreadyLoggedInException, UserIDInvalidException, UserSessionTimeoutException, ValueOptionAdapter, ValueOptionImpl, VirtualPortalNotFoundException, WCMException

    public interface Localized

Interface providing methods to obtain title and description of a portal resource. Please note that title or description are only returned if they are available in the requested locale. No fallback for locales is performed.

Since:
  5.1
Note:

  This interface is designed to be implemented by clients.

Method Summary
`java.lang.String` | `getDescription(java.util.Locale aLocale)` Returns the description of this object in the given locale.
`ListModel<java.util.Locale>` | `getLocales()` Returns a list model containing the locales that are supported by this object.
`java.lang.String` | `getTitle(java.util.Locale aLocale)` Returns the title of this object in the given locale.

Method Detail

### getTitle

    java.lang.String getTitle(java.util.Locale aLocale)

  Returns the title of this object in the given locale.

  Parameters:
    `aLocale` - the locale for which to retrieve the title, must not be `null`.
  Returns:
    the title of this node in the given locale. If a title is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism.

### getDescription

    java.lang.String getDescription(java.util.Locale aLocale)

  Returns the description of this object in the given locale.

  Parameters:
    `aLocale` - the locale for which to retrieve the description, must not be `null`.
  Returns:
    the description of this node in the given locale. If a description is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism

### getLocales

    ListModel<java.util.Locale> getLocales()

  Returns a list model containing the locales that are supported by this object. The presence of a locale in this list does not mean that a title and description is available, but rather that either one or both are available in that locale.

  Returns:
    a list of locales defined for this object, returns an empty `ListModel` if no locales are supported.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD